/* MILLI-AMP METER BY A.SAMIUDDHIN */

#include <LiquidCrystal.h>  // LCD Library
LiquidCrystal lcd(12, 11, 10, 9, 8, 7); // Initialize LCD 
unsigned int Vinput = 0;
const int Rsense = 10;
boolean c = false;
float mA = 0.0;

void setup()
{
  analogReference(INTERNAL);
  lcd.begin(16,2);  // 16 Columns and 2 Rows
  delayMicroseconds(10);
  lcd.setCursor(0,0);
  lcd.print("MILLI-AMP  METER");
  lcd.setCursor(0,1);
  lcd.print("By A. SAMIUDDHIN");
  delay(2000);
}

void loop()
{
  Vinput = analogRead(A0);
  if(Vinput>934)
  {
    lcd.setCursor(0,1);
    lcd.print("   OVER RANGE   ");
    c=false;
  }
  else
  {
    while(c==false)
    {
      lcd.setCursor(0,1);
      lcd.print("                ");
      c=true;
    }
    mA = (Vinput/1023.0)*1100;
    mA = mA/Rsense;
    lcd.setCursor(0,1);
    lcd.print("mA =");
    lcd.setCursor(5,1);
    lcd.print(mA);
  }
}
